﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.ForumsProvider
{
    /// <summary>
    /// Represents information regarding authentication
    /// </summary>
    public class AuthenticationInformation
    {
        /// <summary>
        /// The authenticated username
        /// </summary>
        public string UserName
        {
            get;
            set;
        }

        /// <summary>
        /// The authentication ticket
        /// </summary>
        public string Ticket
        {
            get;
            set;
        }

        /// <summary>
        /// Default constructor 
        /// </summary>
        public AuthenticationInformation()
        {
        }

        /// <summary>
        /// Construct the Authentication inforamtion
        /// </summary>
        /// <param name="userName">Name of the user.</param>
        /// <param name="ticket">The ticket</param>
        public AuthenticationInformation(string userName, string ticket)
        {
            UserName = userName;
            Ticket = ticket;
        }
    }
}
