﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Forums.MicrosoftForumsProvider;
using Microsoft.Forums.SyncService;
using Microsoft.Forums.OfflineStore;
using Microsoft.Forums.ForumsClient.Models;


namespace Microsoft.Forums.ForumsClient.Models
{
    /// <summary>
    /// Class to represent a Microsoft brand
    /// </summary>
    public class Brand
    {
        private string brandName;

        /// <summary>
        /// Override default ToString so that it returns the brand name
        /// The default ToString returns the object type which doesn't work 
        /// with automated tests
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return BrandName;
        }

        /// <summary>
        /// Returns the brand name. Primary use is to provide a 
        /// Sort Description for the combo box for BrandCollection
        /// </summary>
        public string BrandName
        {
            get { return this.brandName; }
            set { this.brandName = value; }
        }
    }
}
