﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.ForumsClient.Models
{
    /// <summary>
    /// A model which represents a container of threaded of posts
    /// </summary>
    public interface IPostModelContainer<T>
    {
        /// <summary>
        /// Gets the posts.
        /// </summary>
        /// <value>The posts.</value>
        DispatchingObservableCollection<T> Posts { get; }

        /// <summary>
        /// The selected post model
        /// </summary>
        /// <value>The selected post model.</value>
        T SelectedPostModel { get; set; }
    }
}
