﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.ForumsClient
{
    /// <summary>
    /// User LogOn Information. This is a pure data model.
    /// </summary>
    public class UserLogonInformation : BaseDataModel
    {
        /// <summary>
        /// Login Status of the user.
        /// </summary>
        public enum LogOnStatus { Offline, Authenticated };

        /// <summary>
        ///  Hold the current user login status.
        /// </summary>
        private LogOnStatus logonStatus = LogOnStatus.Offline;

        /// <summary>
        /// Constructor sets all members to String.Empty
        /// </summary>
        public UserLogonInformation()
        {
      
        }

        /// <summary>
        /// gets/sets user's login name
        /// </summary>
        public string LoginName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets/Sets user's authentication ticket 
        /// </summary>
        public string AuthenticationTicket
        {
            get;
            set;
        }

        /// <summary>
        ///  LogOnState of the user. Autheticated or Offline.
        /// </summary>
        public LogOnStatus LogOnState
        {
            get
            {
                return logonStatus;
            }
            set
            {
                logonStatus = value;
                OnPropertyChanged("LogOnState");
            }
        }
    }
}
