﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Forums.ForumsClient.Models;

namespace Microsoft.Forums.ForumsClient.Views
{
    /// <summary>
    /// A view which is able to be filtered
    /// </summary>
    public interface IFilterableView
    {
        /// <summary>
        /// Filters this view.
        /// </summary>
        void Filter();

        /// <summary>
        /// Gets the filter settings.
        /// </summary>
        /// <value>The filter settings.</value>
        ThreadFilterSettings FilterSettings
        {
            get;
        }
    }
}
