﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Linq;

namespace Microsoft.Forums.OfflineStore
{
    /// <summary>
    /// Additional User object functionality 
    /// </summary>
    public partial class User
    {
        /// <summary>
        /// Occurs when a thread the user either created or replyied to is updated
        /// </summary>
        public event Action<Guid, Guid> UpdatedUserThread;

        /// <summary>
        /// Called when a thread the user either created or replyied to is updated
        /// </summary>
        /// <param name="forumId">The forum id.</param>
        /// <param name="threadIdAdded">The thread id.</param>
        public void OnUpdatedUserThread(Guid forumId, Guid threadIdAdded)
        {
            if (UpdatedUserThread != null)
            {
                UpdatedUserThread(forumId, threadIdAdded);
            }
        }
 

    }
}
