﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.SyncService
{
    /// <summary>
    /// An exception which is thrown when a desired forum can't be found in the database
    /// </summary>
    [Serializable]
    public class ForumNotInDatabaseException : SynchronizationDatabaseException
    {

        /// <summary>
        /// Initializes a new instance of ForumNotInDatabaseException
        /// </summary>
        public ForumNotInDatabaseException() {}

        /// <summary>
        /// Initializes a new instance of ForumNotInDatabaseException with a specified error message
        /// </summary>
        /// <param name="message">A message describing the error</param>
        public ForumNotInDatabaseException(string message) : base(message) {}


        /// <summary>
        /// Initializes a new instance of ForumNotInDatabaseException with a specified error message and an inner exception
        /// </summary>
        /// <param name="message">A message describing the error</param>
        /// <param name="inner"></param>
        public ForumNotInDatabaseException(string message, System.Exception inner) : base(message, inner) { }

        /// <summary>
        /// Initializes a new instance of ForumNotInDatabaseException for use in serialization
        /// </summary>
        /// <param name="info"></param>
        /// <param name="context"></param>
        protected ForumNotInDatabaseException(System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) : base(info,context) {}

    }
}
