﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.SyncService
{
    /// <summary>
    /// An exception which is thrown is there is a error conencting or communicating with the database
    /// </summary>
    [Serializable]
    public class SynchronizationDatabaseException : SynchronizationException
    {

        /// <summary>
        /// Initializes a new instance of SynchronizationDatabaseException
        /// </summary>
        public SynchronizationDatabaseException() {}

        /// <summary>
        /// Initializes a new instance of SynchronizationDatabaseException with a specified error message
        /// </summary>
        /// <param name="message">A message describing the error</param>
        public SynchronizationDatabaseException(string message) : base(message) {}


        /// <summary>
        /// Initializes a new instance of SynchronizationDatabaseException with a specified error message and an inner exception
        /// </summary>
        /// <param name="message">A message describing the error</param>
        /// <param name="inner"></param>
        public SynchronizationDatabaseException(string message, System.Exception inner) : base(message, inner) { }

        /// <summary>
        /// Initializes a new instance of SynchronizationDatabaseException for use in serialization
        /// </summary>
        /// <param name="info"></param>
        /// <param name="context"></param>
        protected SynchronizationDatabaseException(System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) : base(info,context) {}

    }
}
