﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.SyncService
{
    /// <summary>
    /// A general exception during the forum synchronization
    /// </summary>
    [Serializable]
    public class SynchronizationException : Exception
    {
        /// <summary>
        /// Initializes a new instance of SynchronizationException
        /// </summary>
        public SynchronizationException() {}

        /// <summary>
        /// Initializes a new instance of SynchronizationException with a specified error message
        /// </summary>
        /// <param name="message">A message describing the error</param>
        public SynchronizationException(string message) : base(message) {}

        /// <summary>
        /// Initializes a new instance of SynchronizationException with a specified error message and an inner exception
        /// </summary>
        /// <param name="message">A message describing the error</param>
        /// <param name="inner"></param>
        public SynchronizationException(string message, System.Exception inner) : base(message, inner) { }
     
        /// <summary>
        /// Initializes a new instance of SynchronizationException for use in serialization
        /// </summary>
        /// <param name="info"></param>
        /// <param name="context"></param>
        protected SynchronizationException(System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) : base(info,context) {}

    }
}
