﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.SyncService
{
    /// <summary>
    /// An exception which is thrown when a synchronization is currently in process which
    /// conflicts with the requests synchronization
    /// </summary>
    [Serializable]
    public class SynchronizationInProgressException : SynchronizationException
    {
        /// <summary>
        /// Initializes a new instance of SynchronizationInProgressException
        /// </summary>
        public SynchronizationInProgressException() {}

        /// <summary>
        /// Initializes a new instance of SynchronizationInProgressException with a specified error message
        /// </summary>
        /// <param name="message">A message describing the error</param>
        public SynchronizationInProgressException(string message) : base(message) {}

        /// <summary>
        /// Initializes a new instance of SynchronizationInProgressException with a specified error message and an inner exception
        /// </summary>
        /// <param name="message">A message describing the error</param>
        /// <param name="inner"></param>
        public SynchronizationInProgressException(string message, System.Exception inner) : base(message, inner) { }

        /// <summary>
        /// Initializes a new instance of SynchronizationInProgressException for use in serialization
        /// </summary>
        /// <param name="info"></param>
        /// <param name="context"></param>
        protected SynchronizationInProgressException(System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) : base(info,context) {}

    }
}
