﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.SyncService
{
    /// <summary>
    /// The tpye of synchronization which occured
    /// </summary>
    public enum SynchronizeType
    {
        /// <summary>
        /// The item was added
        /// </summary>
        Add,
        /// <summary>
        /// The item was updated
        /// </summary>
        Update,
        /// <summary>
        /// The item was deleted
        /// </summary>
        Deleted
    }

    /// <summary>
    /// Interface which all sychronization summary objects implement
    /// </summary>
    public interface ISynchronizeSummary
    {
        /// <summary>
        /// Gets the forum id.
        /// </summary>
        /// <value>The forum id.</value>
        Guid ForumId
        {
            get;
        }

        SynchronizeType SynchronizeType
        {
            get;
        }

    }
}
